Agent Email
List inbox threads
GET /v1/agent-email/inboxes/{inboxId}/threads · SDK listAgentEmailThreads · CLI deployments inbox threads
GET
Requires agent-email:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
inboxId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AgentEmailThreadPageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/agent-email/inboxes/string/threads" \ -H "x-deployments-environment: string"{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "id": "string", "inboxId": "string", "lastMessageAt": "2019-08-24T14:15:22Z", "messageCount": 0, "organizationId": "string", "participants": [ "string" ], "subject": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}